package com.swago.baseswago.constant

import com.swago.baseswago.BuildConfig
import com.swago.baseswago.util.AppContext
import java.io.File

/**
 *@date 2021/8/14 14:06
 *description:
 */
object UrlConstant {

     val BASE_URL by lazy {
         if (BuildConfig.DEBUG) {
             "http:test-api.swago.cn"
         } else {
             "https://pro-api.swago.cn"
         }
     }

     private val BASE_WEB_URL by lazy {
         if (BuildConfig.DEBUG) {
             "http://swago-h5.codedreamit.com"
         } else {
             "http://h5.swago.cn"
         }
     }

     //im_id
     val imId by lazy {
         if (BuildConfig.DEBUG) {
             1400636688
         } else {
             1400636362
         }
     }

     //声网id
     val agoraId by lazy {
         if (BuildConfig.DEBUG) {
             "eeefecc934404228bf22014794f4dc71"
         } else {
             "ae14303e10bd4d98acbd8f63e09fb19b"
         }
     }


  /*  val BASE_URL by lazy {
        if (BuildConfig.DEBUG) {
            "https://pro-api.swago.cn"
        } else {
            "http:test-api.swago.cn"
        }
    }

    private val BASE_WEB_URL by lazy {
        if (BuildConfig.DEBUG) {
            "http://h5.swago.cn"
        } else {
            "http://swago-h5.codedreamit.com"
        }
    }

    //im_id
    val imId by lazy {
        if (BuildConfig.DEBUG) {
            1400636362
        } else {
            1400636688
        }
    }

    //声网id
    val agoraId by lazy {
        if (BuildConfig.DEBUG) {
            "ae14303e10bd4d98acbd8f63e09fb19b"
        } else {
            "eeefecc934404228bf22014794f4dc71"
        }
    }*/

    const val USER_AGREEMENT = "https://swago-1304432552.cos.ap-hongkong.myqcloud.com/html/userAgreement.html"
    const val USER_PRIVACY = "https://swago-1304432552.cos.ap-hongkong.myqcloud.com/html/privacyAgreement.html"

    val TOP_UP = "${BASE_WEB_URL}/recharge/detail"
    val WITHDRAW = "${BASE_WEB_URL}/withdrawal"


    var appGameRootPath =
        AppContext.getContext().getExternalFilesDir("")?.absolutePath + File.separator + "gameFile"

}